Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.xensource.xenapi
Enum Types.VifLockingMode

    java.lang.Object
      java.lang.Enum<Types.VifLockingMode>
          com.xensource.xenapi.Types.VifLockingMode

All Implemented Interfaces:
  Serializable, Comparable<Types.VifLockingMode>

Enclosing class:
  Types

    public static enum Types.VifLockingMode

extends Enum<Types.VifLockingMode>

Enum Constant Summary
`DISABLED` No traffic is permitted
`LOCKED` Only traffic to a specific MAC and a list of IPv4 or IPv6 addresses is permitted
`NETWORK_DEFAULT` No specific configuration set - default network policy applies
`UNLOCKED` All traffic is permitted
`UNRECOGNIZED` The value does not belong to this enumeration

Method Summary
`String` | `toString()`
`static Types.VifLockingMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Types.VifLockingMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNRECOGNIZED

    public static final Types.VifLockingMode UNRECOGNIZED

  The value does not belong to this enumeration

### NETWORK_DEFAULT

    public static final Types.VifLockingMode NETWORK_DEFAULT

  No specific configuration set - default network policy applies

### LOCKED

    public static final Types.VifLockingMode LOCKED

  Only traffic to a specific MAC and a list of IPv4 or IPv6 addresses is permitted

### UNLOCKED

    public static final Types.VifLockingMode UNLOCKED

  All traffic is permitted

### DISABLED

    public static final Types.VifLockingMode DISABLED

  No traffic is permitted

Method Detail

### values

    public static Types.VifLockingMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Types.VifLockingMode c : Types.VifLockingMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Types.VifLockingMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<Types.VifLockingMode>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD